Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I'm using Ubuntu 9.10 rightnow, but I'd like to install kernel 2.6.33 into it. I see that there's deb files on kernel sites. Problems is that I cannot just download these deb files and have dpkg install them for me because wireless and graphic drivers cannot be compiled against the new kernel.

Is there any way to do that?

share|improve this question

1 Answer 1

If some of your drivers do not work there is no magic way to make them work suddenly. You either have to wait until they are patched to work with the new kernel or live without them. The problem is probably really on the kernel code-level, function signatures may have changed or API's might even have been depreciated altogether.

For some hardware there are other drivers available (i.e. not from the manufacturer but e.g. open source) and they might work earlier or later. It really depends on what you have to work with.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.